> ## Documentation Index
> Fetch the complete documentation index at: https://docs.satsuma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Merchants

> List available merchants



## OpenAPI

````yaml api-reference/openapi.json get /merchant
openapi: 3.1.0
info:
  title: Satsuma API
  description: API specification for Satsuma AI commerce platform
  contact:
    name: Satsuma Support
    url: https://satsuma.ai
    email: support@satsuma.ai
  version: 1.0.0
servers:
  - url: https://api.satsuma.ai
    description: Production
security:
  - apiKeyAuth: []
paths:
  /merchant:
    get:
      tags:
        - Merchant
      summary: List Merchants
      description: List available merchants
      operationId: findMerchants
      parameters:
        - name: page
          in: query
          description: Zero-based page index (0..N)
          required: false
          schema:
            minimum: 0
            type: integer
            default: 0
        - name: size
          in: query
          description: The size of the page to be returned
          required: false
          schema:
            minimum: 1
            type: integer
            default: 20
        - name: sort
          in: query
          description: >-
            Sorting criteria in the format: property,(asc|desc). Default sort
            order is ascending. Multiple sort criteria are supported.
          required: false
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResponseListMerchant'
components:
  schemas:
    PagedResponseListMerchant:
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Merchant'
        messages:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/Message'
        total:
          type: integer
          format: int64
    Merchant:
      properties:
        id:
          type: string
        organization_id:
          type: string
        name:
          type: string
        capabilities:
          uniqueItems: true
          type: array
          items:
            type: string
            enum:
              - Inventory
              - Ordering
        fulfillment_methods:
          uniqueItems: true
          type: array
          items:
            type: string
            enum:
              - Delivery
              - Pickup
              - Shipping
        type:
          type: string
          enum:
            - Marketplace
            - Retailer
        status:
          type: string
          enum:
            - Active
            - Inactive
        stripe_connected_account_id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    Message:
      properties:
        context:
          type: string
        level:
          type: string
          enum:
            - Information
            - Warning
            - Error
        text:
          type: string
        data:
          type: object
          additionalProperties: true
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: API Key authentication
      name: Authorization
      in: header

````